/**
 * ActClassCondition2.java
 *
 * File generated from the medication2::ActClassCondition2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassCondition2.
 *
 * 
 */

@XmlType(name = "ActClassCondition")
@XmlEnum
@XmlRootElement(name = "ActClassCondition2")
public enum ActClassCondition2 {
	@XmlEnumValue("COND")
	COND("COND"),
	@XmlEnumValue("CASE")
	CASE("CASE"),
	@XmlEnumValue("OUTB")
	OUTB("OUTB");
	
	private final String value;

    ActClassCondition2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassCondition2 fromValue(String v) {
        for (ActClassCondition2 c: ActClassCondition2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
